## net.dontdrinkandroot.lastfm.api.queries
Class NoResponseAuthenticatedGetQuery

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.queries.AbstractQuery<java.lang.Boolean>
          net.dontdrinkandroot.lastfm.api.queries.NoResponseAuthenticatedGetQuery

All Implemented Interfaces:
  AuthenticatedGetQuery<java.lang.Boolean>, AuthenticatedQuery<java.lang.Boolean>, GetQuery<java.lang.Boolean>, Query<java.lang.Boolean>

    public class NoResponseAuthenticatedGetQuery

extends AbstractQuery<java.lang.Boolean>
implements AuthenticatedGetQuery<java.lang.Boolean>

Constructor Summary
`NoResponseAuthenticatedGetQuery(java.lang.String method)`

Method Summary
`java.lang.Boolean` `parse(org.w3c.dom.Element root)` Parse the result and return the Object model.

Methods inherited from class net.dontdrinkandroot.lastfm.api.queries.AbstractQuery
`addAdditionalParameters, addParameter, getMethod, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.dontdrinkandroot.lastfm.api.queries.Query
`addParameter, getMethod, getParameters`

Constructor Detail

### NoResponseAuthenticatedGetQuery

    public NoResponseAuthenticatedGetQuery(java.lang.String method)

Method Detail

### parse

    public java.lang.Boolean parse(org.w3c.dom.Element root)

  Description copied from interface: `Query`
  Parse the result and return the Object model.

  Specified by:
    `parse` in interface `Query<java.lang.Boolean>`
  Parameters:
    `root` - Dom4j root element.
  Returns:
    The query result.

Copyright © 2012. All Rights Reserved.